Package org.apache.lucene.util.fst

# Class FST.FSTMetadata<T>

java.lang.Object
org.apache.lucene.util.fst.FST.FSTMetadata<T>

Type Parameters:
  `T` - the FST output type

Enclosing class:
  `FST<T>`

public static final class FST.FSTMetadata<T> extends Object
Represents the FST metadata.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FSTMetadata(FST.INPUT_TYPE inputType, Outputs<T> outputs, T emptyOutput, long startNode, int version, long numBytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getEmptyOutput()`
  `long`
  `getNumBytes()`
  `int`
  `getVersion()`
  Returns the version constant of the binary format this FST was written in.
  `void`
  `save(DataOutput metaOut)`
  Save the metadata to a DataOutput

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FSTMetadata

    public FSTMetadata(FST.INPUT_TYPE inputType, Outputs<T> outputs, T emptyOutput, long startNode, int version, long numBytes)

- ## Method Details

  - ### getVersion

    public int getVersion()
    Returns the version constant of the binary format this FST was written in. See the `static final int VERSION` constants in FST's javadoc, e.g. `FST.VERSION_CONTINUOUS_ARCS`.

  - ### getEmptyOutput

    public T getEmptyOutput()

  - ### getNumBytes

    public long getNumBytes()

  - ### save

    public void save(DataOutput metaOut) throws IOException
    Save the metadata to a DataOutput
    Parameters:
      `metaOut` - the DataOutput to write the metadata to
    Throws:
      `IOException`